Subject: Small Worlds

From: [email-masked] (Harold Slater)
Date: 1 May 1995 23:19:25 GMT

I know this is frowned upon but I'm trying to get the FAX number of
a Phasmid breeder in the U.K. called Small Worlds.

If any body has their FAX number I'd appreciate it.

Pleas Email me at  [email-masked]

Harold

--
-----------------------------------------------------------------------------
Harold Slater       *  BOTANIKA   * ..and there were things growing all  
Toronto, Canada     *  Bromeliads *  over the place... not just in some
FAx (416) 698-9333  *  Epiphytes  *  domed enclosure blasted some millions  
[email-masked]      *  Aquatics   *  of miles into outer space... BD..SR
-----------------------------------------------------------------------------